program Zadatak1;

{$APPTYPE CONSOLE}

uses
  SysUtils;

var a,b,c,p1,p2,p3:Integer;
    result: String;

begin
  WriteLn(Output, 'Unesite broj A:');
  ReadLn(Input, a);

  WriteLn(Output, 'Unesite broj B:');
  ReadLn(Input, b);

  WriteLn(Output, 'Unesite broj C:');
  ReadLn(Input, c);

  If (a<1) or (b<1) or (c<1) then
    begin
      WriteLn('Unesite vrednosti vece od nule!');
      WriteLn('');
      WriteLn('Press enter to exit');
      ReadLn;
    end
  else
   begin
     If (a>=b) and (a>=c) then
       if (b>=c) then
         begin
           p1:=a;
           p2:=b;
           p3:=c;
         end
       else
         begin
           p1:=a;
           p2:=c;
           p3:=b;
         end
    Else if (b>=a) and (b>=c) then
      if (a>=c) then
        begin
          p1:=b;
          p2:=a;
          p3:=c;
        end
      else
        begin
          p1:=b;
          p2:=c;
          p3:=a;
        end
    Else if (c>=a) and (c>=b) then
      if (a>=b) then
        begin
          p1:=c;
          p2:=a;
          p3:=b;
        end
      else
        begin
          p1:=c;
          p2:=b;
          p3:=a;
        end;

    result:=IntToStr(p1)+IntToStr(p2)+IntToStr(p3);
    WriteLn('Najveci broj je:'+ result);
    WriteLn('');
    WriteLn('Pritisnite enter za zavrsetak programa');
    ReadLn(result); 
  end;
end.